All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services
Interface ServiceConfigurationInterface

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  DiscoveryServiceConfiguration, MetadataSourceConfiguration, ServiceConfiguration, ServiceDiscoveryConfiguration

    public interface ServiceConfigurationInterface

extends java.io.Serializable

The base service configuration interface optionally specifying an object containing data necessary to initialize or reconfigure a service and other service configurations. Ancillary configurations might include a discovery configuration, a deployment configuration, etc.. These "other" service configurations provide a mechanism to separate unrelated configuration data while still providing the service with a mechanism to look it up if necessary.

Since:
  1.0

Field Summary
`static java.lang.Object` | `CONFIGURATION_METADATA_SOURCE` The lookup key associated with the metadata source configuration.
`static java.lang.Object` | `CONFIGURATION_SERVICE_DISCOVERY` The lookup key associated with a service's discovery configuration.

Method Summary
`void` | `addServiceConfiguration(java.lang.Object key, ServiceConfigurationInterface serviceConfiguration)` Adds a service configuration which can be later obtained using the specified lookup key.
`Environment` | `getEnvironment()` Gets the environment object.
`java.lang.Object` | `getInitializationObject()` Gets an object that is to be used to configure a service.
`ServiceConfigurationInterface` | `getServiceConfiguration(java.lang.Object key)` Gets the service configuration associated with the specified lookup key or `null` if a configuration is not available.
`java.util.Iterator<ServiceConfigurationInterface>` | `getServiceConfigurations()` Gets an iterator of `ServiceConfigurationInterface` elements.
`void` | `removeServiceConfiguration(java.lang.Object key)` Removes the service configuration associated with the specified key.
`void` | `setInitializationObject(java.lang.Object initializationObject)` Sets an object that is to be used to configure a service.

Field Detail

### CONFIGURATION_SERVICE_DISCOVERY

    static final java.lang.Object CONFIGURATION_SERVICE_DISCOVERY

  The lookup key associated with a service's discovery configuration.

### CONFIGURATION_METADATA_SOURCE

    static final java.lang.Object CONFIGURATION_METADATA_SOURCE

  The lookup key associated with the metadata source configuration.

Method Detail

### addServiceConfiguration

    void addServiceConfiguration(java.lang.Object key,
                                 ServiceConfigurationInterface serviceConfiguration)

  Adds a service configuration which can be later obtained using the specified lookup key.

  Parameters:
    `key` - Lookup key.
    `serviceConfiguration` - Service configuration.

### removeServiceConfiguration

    void removeServiceConfiguration(java.lang.Object key)

  Removes the service configuration associated with the specified key.

  Parameters:
    `key` - Key associated with the service configuration to be removed.

### getServiceConfiguration

    ServiceConfigurationInterface getServiceConfiguration(java.lang.Object key)

  Gets the service configuration associated with the specified lookup key or `null` if a configuration is not available.

  Parameters:
    `key` - Lookup key used to obtain a configuration.
  Returns:
    Service configuration associated with the lookup key or `null` if one isn't available.

### getServiceConfigurations

    java.util.Iterator<ServiceConfigurationInterface> getServiceConfigurations()

  Gets an iterator of `ServiceConfigurationInterface` elements.

  Returns:
    Iterator of service configurations.

### getInitializationObject

    java.lang.Object getInitializationObject()

  Gets an object that is to be used to configure a service.

  Returns:
    Initialization object or `null` if an initialization object is not associated with this configuration.

### setInitializationObject

    void setInitializationObject(java.lang.Object initializationObject)

  Sets an object that is to be used to configure a service.

  Parameters:
    `initializationObject` - Object containing data to initialize or reconfigure this service.

### getEnvironment

    Environment getEnvironment()

  Gets the environment object. The environment object encapsulates runtime services provided by the container.

  Returns:
    the environment object. May be `null`.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.